# pandas.Timedelta

class `pandas.``Timedelta`

  Represents a duration, the difference between two dates or times.

  Timedelta is the pandas equivalent of python’s `datetime.timedelta` and is interchangeable with it in most cases.

  Parameters:

  value : Timedelta, timedelta, np.timedelta64, string, or integer

  unit : str, optional

  > Denote the unit of the input, if input is an integer. Default ‘ns’. Possible values: {‘Y’, ‘M’, ‘W’, ‘D’, ‘days’, ‘day’, ‘hours’, hour’, ‘hr’, ‘h’, ‘m’, ‘minute’, ‘min’, ‘minutes’, ‘T’, ‘S’, ‘seconds’, ‘sec’, ‘second’, ‘ms’, ‘milliseconds’, ‘millisecond’, ‘milli’, ‘millis’, ‘L’, ‘us’, ‘microseconds’, ‘microsecond’, ‘micro’, ‘micros’, ‘U’, ‘ns’, ‘nanoseconds’, ‘nano’, ‘nanos’, ‘nanosecond’, ‘N’}

  **kwargs

  > Available kwargs: {days, seconds, microseconds, milliseconds, minutes, hours, weeks}. Values for construction in compat with datetime.timedelta. Numpy ints and floats will be coerced to python ints and floats.

  Notes

  The `.value` attribute is always in ns.

  Attributes

  `asm8` | Return a numpy timedelta64 array scalar view.
  `components` | Return a components namedtuple-like.
  `delta` | Return the timedelta in nanoseconds (ns), for internal compatibility.
  `freq` |
  `is_populated` |
  `nanoseconds` | Return the number of nanoseconds (n), where 0 <= n < 1 microsecond.
  `resolution` | Return a string representing the lowest timedelta resolution.
  `resolution_string` | Return a string representing the lowest timedelta resolution.
  `value` |

  Methods

  `ceil` | return a new Timedelta ceiled to this resolution
  `floor` | return a new Timedelta floored to this resolution
  `isoformat` | Format Timedelta as ISO 8601 Duration like `P[n]Y[n]M[n]DT[n]H[n]M[n]S`, where the `[n]` s are replaced by the values.
  `round` | Round the Timedelta to the specified resolution
  `to_numpy` | Convert the Timestamp to a NumPy timedelta64.
  `to_pytimedelta` | Convert a pandas Timedelta object into a python timedelta object.
  `to_timedelta64` | Return a numpy.timedelta64 object with ‘ns’ precision.
  `total_seconds` | Total duration of timedelta in seconds (to ns precision).
  `view` | Array view compatibility.

Scroll To Top